JUCE: ConsoleApplication::Command Struct Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
ConsoleApplication::Command Struct Reference
juce_core » misc

Represents a command that can be executed if its command-line arguments are matched. More...

`#include <juce_ConsoleApplication.h>`

## Public Attributes
String | commandOption
| The option string that must appear in the argument list for this command to be invoked.
String | argumentDescription
| A description of the command-line arguments needed for this command, which will be printed as part of the help text.
String | shortDescription
| A short (one line) description of this command, which can be printed by ConsoleApplication::printCommandList().
String | longDescription
| A longer description of this command, for use in extended help.
std::function< void(const ArgumentList &)> | command
| The actual command that should be invoked to perform this action.

## Detailed Description

Represents a command that can be executed if its command-line arguments are matched.

See also
  ConsoleApplication::addCommand(), ConsoleApplication::findAndRunCommand()

## Member Data Documentation

## ◆ commandOption

String ConsoleApplication::Command::commandOption

The option string that must appear in the argument list for this command to be invoked.

This can also be a list of different versions separated by pipes, e.g. "--help|-h"

## ◆ argumentDescription

String ConsoleApplication::Command::argumentDescription

A description of the command-line arguments needed for this command, which will be printed as part of the help text.

## ◆ shortDescription

String ConsoleApplication::Command::shortDescription

A short (one line) description of this command, which can be printed by ConsoleApplication::printCommandList().

## ◆ longDescription

String ConsoleApplication::Command::longDescription

A longer description of this command, for use in extended help.

## ◆ command

std::function<void (const ArgumentList&)> ConsoleApplication::Command::command

The actual command that should be invoked to perform this action.

The documentation for this struct was generated from the following file:

- juce_ConsoleApplication.h